<template>
  <div>
    <form class="login" @submit.prevent="register">
      <h1>Sign in</h1>
      <label>User name</label>
      <input required type="text"
             ref="username"
             placeholder="Username"/>

      <label>Password</label>
      <input required
             type="password"
             ref="password"
             placeholder="Password"
      />
      <label>Memsource api user</label>
      <input required
             type="text"
             ref="memsourceUsername"
             placeholder="Memsource api username"
      />
      <label>Memsource api password</label>
      <input required
             type="password"
             ref="memsourcePassword"
             placeholder="Memsource api password"
      />
      <hr/>
      <button type="submit">Register</button>
    </form>
    <hr/>
    <router-link to="/login">Přihlásit se</router-link>
  </div>
</template>

<style>
.login {
  display: flex;
  flex-direction: column;
  width: 300px;
  padding: 10px;
}
</style>

<script>
import AuthService from '../../services/auth'

export default {
  name: 'register',
  data () {
    return {
      loading: false,
      error: false
    }
  },
  methods: {
    register: function () {
      this.loading = true
      this.error = false
      const tempUser = {
        username: this.$refs.username.value,
        password: this.$refs.password.value,
        memsourceApiUser: this.$refs.memsourceUsername.value,
        memsourceApiPassword: this.$refs.memsourcePassword.value
      }
      AuthService.register(tempUser, () => {
        this.loading = false
        this.$router.push('login')
      }, () => {
        this.loading = false
      })
    }
  }
}
</script>
